﻿using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Word;
using GrapeCity.Documents.Word.Layout;
using System;
using System.IO;
using System.Xml;

namespace Convert_to_Svg
{
    class Program
    {
        static void Main(string[] args)
        {
            ConvertPdfToSVG();
            ConvertWordToSVG();
        }
        static void ConvertPdfToSVG()
        {
            var pdf = new GcPdfDocument();
            var fs = new FileStream(@"Form.pdf", FileMode.Open);
            pdf.Load(fs);

            var pdfPage = pdf.Pages[0];
            pdfPage.SaveAsSvg("pdfToSvg.svg");
            File.WriteAllBytes("pdfToSvgz.svgz", pdfPage.ToSvgz());

            //Save options           
            pdfPage.SaveAsSvg(
                "pdfToSvg_saveOptions.svg",
                null,
                new SaveAsImageOptions() { Zoom = 0.5f, BackColor = System.Drawing.Color.AliceBlue },
                null
            );

            //ViewState
            fs.Flush();
            fs = new FileStream(@"layers.pdf", FileMode.Open);
            pdf.Load(fs);
            pdfPage = pdf.Pages[0];
            var view = new GrapeCity.Documents.Pdf.Layers.ViewState(pdf);
            view.SetLayersUIState(true, "lighting_plan.pdf");
            view.SetLayersUIStateExcept(false, "lighting_plan.pdf");
            pdfPage.SaveAsSvg("pdfToSvg_view.svg", view, null, null);
        }

        static void ConvertWordToSVG()
        {
            var word = new GcWordDocument();
            word.Load(@"TestResult.docx");
            using (var layout = new GcWordLayout(word))
            {
                var wordPage = layout.Pages[0];
                wordPage.SaveAsSvg("wordToSvg.svg");
                File.WriteAllBytes("wordToSvgz.svgz", wordPage.ToSvgz());

                //Image output options
                wordPage.SaveAsSvg(
                    "wordToSvg_saveOptions.svg",
                    new ImageOutputSettings() { Zoom = 0.5f, BackColor = System.Drawing.Color.AliceBlue },
                    null
                );

                //XML options
                wordPage.SaveAsSvg(
                "wordToSvg_XML.svg",
                null,
                new XmlWriterSettings() { Indent = true }
            );
            }


        }
    }
}
